> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify an existing pipeline

> This allows you to add, remove, re-order, or configure the pipeline's stages



## OpenAPI

````yaml /api-reference/4.2/service-query-pipelines.json put /query-pipelines/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-pipelines
paths:
  /query-pipelines/{id}:
    put:
      tags:
        - 4.2 Query Pipelines API
      summary: Modify an existing pipeline
      description: >-
        This allows you to add, remove, re-order, or configure the pipeline's
        stages
      operationId: createOrUpdatePipeline
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match against the specified blob
          required: false
          schema:
            type: string
            default: '"-1"'
      requestBody:
        $ref: '#/components/requestBodies/QueryPipelineDefinition'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineDefinitionObject'
components:
  requestBodies:
    QueryPipelineDefinition:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/QueryPipelineDefinition'
  schemas:
    PipelineDefinitionObject:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        stages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    QueryPipelineDefinition:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        stages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    StageConfig:
      type: object
      properties:
        type:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        skip:
          type: boolean
          default: false
        label:
          type: string
        condition:
          type: string

````